###################################################################################################
##########                                   EXERCISE 1                                  ##########
###################################################################################################
# Step 1: call my_function here and print the result
#         IMPORTANT NOTE: your function call must be after the function declaration in the program!
# Step 2: give the function a more descriptive name
# Step 3: write a docstring comment for the function
###################################################################################################

def my_function(input1, input2):
    result = input1 + input2
    return result

num1 = 10
num2 = 20
my_result = my_function(num1, num2)
print("The result of adding " + str(num1) + " and " + str(num2) + " is " + str(my_result))


###################################################################################################
##########                                   EXERCISE 2                                  ##########
###################################################################################################
# Step 1: guess what the value of x will be after calling the function
# Step 2: uncomment the print statement to see if you were right!
###################################################################################################

def square(x):
    x = x * x
    return x

x = 3
result = square(x)
# print("The current value of x is", x)

###################################################################################################
##########                                   EXERCISE 3                                  ##########
###################################################################################################
# Step 1: uncomment the subtract function and fix the syntax error(s)
# Step 2: uncomment the covert_temperature_to_C function and fix the syntax error(s)
# Step 3: call the convert_temperature_to_C function with the current temperature (on the board)
# Step 4: submit your result to https://forms.gle/AjCayx89KgB7DJQX6
#         this is not graded and your email is not recorded, it's just to see how the class is 
#         doing overall
# Step 4: (IF YOU HAVE TIME) write a function covert_temperature_to_F
###################################################################################################


def subtract(num1, num2):
    """
    Subtracts num2 from num1 and returns the result

    Arguments:
        num1 (float): the number to subtract from
        num2 (float): the number that will be subtracted
    Returns:
        float: num1 - num2
    """
    return num1 - num2


def covert_temperature_to_C(deg_F):
    """
    Function to convert from Fahrenheit to Celsius

    Arguments: 
        deg_F (float): degrees Fahrenheit
    Returns: 
        float: the corresponding degree Celsius
    """
    deg_C = subtract(deg_F, 32) / 9 * 5
    return deg_C


def convert_temperature_to_F(deg_C):
    """
    Function to convert from Celsius to Fahrenheit

    Arguments: 
        deg_C (float): degrees Celsius
    Returns: 
        float: the corresponding degree Celsius
    """
    deg_F = 9 / 5 * deg_C + 32
    return deg_F
